Loading...
Searching...
No Matches
psocksxx::sockexception Class Reference

Socket exception. More...

`#include <sockexception.h>`

Inheritance diagram for psocksxx::sockexception:

## Public Member Functions

| sockexception (const char *message=0) throw ()
| constructor
virtual | ~sockexception () throw ()
| destructor
const char * | what () const throw ()
| Returns exception message.

## Protected Attributes

std::string | _message
int | _errno
std::string | _sys_msg

## Detailed Description

Socket exception.

This is the base class for all socket exceptions.

## Constructor & Destructor Documentation

## sockexception()

psocksxx::sockexception::sockexception | ( | const char * | message = 0 | ) |
throw | ( | ) |  |  |

constructor

Create an instance with the passed in error message. If a message is not passed in or is equal to `0` then the system error message is used.

Parameters

  message | (optional) user error message

## Member Function Documentation

## what()

const char * psocksxx::sockexception::what | ( |  | ) | const
throw | ( | ) |  |  |

Returns exception message.

Returns a C-Style character string describing the exception.

Returns
  exception message

See also
  sockexception() constructor

## Member Data Documentation

## _errno

int psocksxx::sockexception::_errno

protected

system error number

## _message

std::string psocksxx::sockexception::_message

protected

user exception message

## _sys_msg

std::string psocksxx::sockexception::_sys_msg

protected

system error message